﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_SearchLibros')
	BEGIN
		DROP  Procedure spd_SearchLibros
	END

GO

CREATE PROCEDURE [dbo].[spd_SearchLibros]
(
	@Titulo nchar(100),
	@EditorialId int,
	@Autor int,
	@Genero int,
	@Disponibilidad int, -- -1 Todos 1 Disponible 2 No disponible
	@ISBN nchar(20),
	@IdiomaId int,
	@TipoId int,
	@Prestado INT
)


AS

	-- Buscador de libros
	SELECT	LibroId, Titulo, IdiomaId, TipoId, ISBN, EditorialId, AutorId, GeneroId, Stock,	Sinopsis
	FROM dbo.Libros 
	WHERE ((@Titulo = '') OR (Titulo LIKE '%' + LTRIM(RTRIM(@Titulo)) + '%'))
	AND ((@EditorialId = -1) OR (EditorialId = @EditorialId))
	AND ((@Autor = -1) OR (AutorId = @Autor))
	AND ((@Genero = -1) OR (GeneroId = @Genero))
	AND ((@ISBN = '') OR (ISBN = @ISBN))
	AND ((@Disponibilidad = -1) OR ((@Disponibilidad = 1 AND Stock > 0) OR (@Disponibilidad = 2 AND Stock <= 0)))
	AND ((@IdiomaId = -1) OR (IdiomaId = @IdiomaId))
	AND ((@TipoId = -1) OR (TipoId = @TipoId))
	AND ((@Prestado = -1) 
		OR (@Prestado = 1 AND LibroId IN(SELECT LibroId FROM Prestamos)) 
		OR (@Prestado = 2 AND LibroId NOT IN (SELECT LibroId FROM Prestamos))
	)

		 
GO
