﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_SearchPrestamos')
	BEGIN
		DROP  Procedure spd_SearchPrestamos
	END

GO

CREATE PROCEDURE [dbo].[spd_SearchPrestamos]
(
	@UserId int,
	@NIF nchar(9),
	@PrestamoId int,
	@Titulo nchar(100),
	@Autor int,
	@EstadoPrestamo int, -- -1 Todos, 1	Formalizado 2 Retornado
	@ISBN nchar(20),
	@FechaPrestamoIni datetime,
	@FechaPrestamoFin datetime,
	@FechaRetornoIni datetime,
	@FechaRetornoFin datetime,
	@FueraPlazo int,
	@FechaRetornaMax int
)

AS

	-- Buscador de Prestamos
	SELECT P.PrestamoId, P.LibroId, P.UserId, P.FechaPrestamo, P.FechaRetorno, P.Retornado, P.ReservaId, P.EstadoPrestamoId
	FROM Prestamos AS P 
	INNER JOIN Libros AS L ON (P.LibroId = L.LibroId)
	INNER JOIN Usuarios AS U ON (U.UserId = P.UserId)
	WHERE ((@Titulo = '') OR (Titulo LIKE '%' + LTRIM(RTRIM(@Titulo)) + '%'))
	AND ((@Autor = -1) OR (L.AutorId = @Autor))
	AND ((@ISBN = '') OR (L.ISBN = @ISBN))
	AND ((@EstadoPrestamo = -1) OR (EstadoPrestamoId = @EstadoPrestamo))
	AND ((@FechaPrestamoIni IS NULL) OR (CONVERT(nchar(8), FechaPrestamo, 112) >= CONVERT(nchar(8), @FechaPrestamoIni, 112))) 
	AND ((@FechaPrestamoFin IS NULL) OR (CONVERT(nchar(8), FechaPrestamo, 112) <= CONVERT(nchar(8), @FechaPrestamoFin, 112))) 
	AND ((@FechaRetornoIni IS NULL) OR (CONVERT(nchar(8), FechaRetorno, 112) >= CONVERT(nchar(8), @FechaRetornoIni, 112))) 
	AND ((@FechaRetornoFin IS NULL) OR (CONVERT(nchar(8), FechaRetorno, 112) <= CONVERT(nchar(8), @FechaRetornoFin, 112))) 
	AND ((@UserId = -1) OR (P.UserId = @UserId))
	AND ((@PrestamoId = -1) OR (PrestamoId = @PrestamoId))
	AND ((@NIF = '') OR (U.NIF = @NIF))
	AND ((@FueraPlazo = -1) 
	OR (@FueraPlazo = 1 AND CONVERT(nchar(8), GETDATE(), 112) > CONVERT(nchar(8), DATEADD(month, @FechaRetornaMax, FechaPrestamo), 112)) 
	OR (@FueraPlazo = 2 AND CONVERT(nchar(8), GETDATE(), 112) <= CONVERT(nchar(8), DATEADD(month, @FechaRetornaMax, FechaPrestamo), 112))) 
	
GO
