﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_SearchReservas')
	BEGIN
		DROP  Procedure spd_SearchReservas
	END

GO

CREATE PROCEDURE [dbo].[spd_SearchReservas]
(
	@UserId int,
	@NIF nchar(9),
	@ReservaId int,
	@Titulo nchar(100),
	@Autor int,
	@EstadoReserva int, -- -1 Todos, 1	Reservada 2	Cancelada                                         
	@ISBN nchar(20),
	@FechaReservaIni datetime,
	@FechaReservaFin datetime,
	@FechaCancelacionIni datetime,
	@FechaCancelacionFin datetime
)

AS

	-- Buscador de reservas

	SELECT R.ReservaId, R.UserId, R.LibroId, R.FechaReserva, R.FechaCancelacion, R.EstadoReservaId
	FROM Reservas  AS R 
	INNER JOIN Libros AS L ON (R.LibroId = L.LibroId)
	INNER JOIN Usuarios AS U ON (U.UserId = R.UserId)
	WHERE ((@Titulo = '') OR (Titulo LIKE '%' + LTRIM(RTRIM(@Titulo)) + '%'))
	AND ((@Autor = -1) OR (L.AutorId = @Autor))
	AND ((@ISBN = '') OR (L.ISBN = @ISBN))
	AND ((@EstadoReserva = -1) OR (EstadoReservaId = @EstadoReserva))
	AND ((@FechaReservaIni IS NULL) OR (CONVERT(nchar(8), FechaReserva, 112) >= CONVERT(nchar(8), @FechaReservaIni, 112))) 
	AND ((@FechaReservaFin IS NULL) OR (CONVERT(nchar(8), FechaReserva, 112) <= CONVERT(nchar(8), @FechaReservaFin, 112))) 
	AND ((@FechaCancelacionIni IS NULL) OR (CONVERT(nchar(8), FechaCancelacion, 112) >= CONVERT(nchar(8), @FechaCancelacionIni, 112))) 
	AND ((@FechaCancelacionFin IS NULL) OR (CONVERT(nchar(8), FechaCancelacion, 112) <= CONVERT(nchar(8), @FechaCancelacionFin, 112))) 
	AND ((@UserId = -1) OR (R.UserId = @UserId))
	AND ((@ReservaId = -1) OR (ReservaId = @ReservaId))
	AND ((@NIF = '') OR (U.NIF = @NIF))
	AND R.EstadoReservaId <> 3 -- No muestro las reservas formalizadas
	
GO
