﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_SearchUser')
	BEGIN
		DROP  Procedure spd_SearchUser
	END

GO

CREATE PROCEDURE [dbo].[spd_SearchUser]
(
	@Nombre nchar(100),
	@Apellido1 nchar(100),
	@Apellido2 nchar(100),
	@Telefono nchar(10),
	@NIF nchar(9),
	@Poblacion nchar(100),
	@Rol int,
	@Estado int,
	@Prestado int
)

AS

	-- Buscador de usuarios

	SELECT	
		UserId, NIF, Nombre, Apellido1, Apellido2, Telf, Direccion, Poblacion, Email, 
		[Password], RolId, FechaNacimiento, FechaAlta, FechaBaja, Estado, IdIdioma
	FROM dbo.Usuarios 
	WHERE ((@Nombre = '') OR (Nombre LIKE '%' + LTRIM(RTRIM(@Nombre)) + '%'))
	AND ((@Apellido1 = '') OR (Apellido1 LIKE '%' + LTRIM(RTRIM(@Apellido1)) + '%'))
	AND ((@Apellido2 = '') OR (Apellido2 LIKE '%' + LTRIM(RTRIM(@Apellido2)) + '%'))
	AND ((@Telefono = '') OR (Telf = @Telefono))
	AND ((@NIF = '') OR (NIF = @NIF))
	AND ((@Poblacion = '') OR (Poblacion = @Poblacion))
	AND ((@Rol = -1) OR (RolId = @Rol))
	AND ((@Estado = -1) OR (Estado = @Estado))
	AND ((@Prestado = -1) 
		OR (@Prestado = 1 AND UserId  IN(SELECT LibroId FROM Prestamos)) 
		OR (@Prestado = 2 AND UserId NOT IN (SELECT LibroId FROM Prestamos))
	)
	 
GO
