﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_UpdateUser')
	BEGIN
		DROP  Procedure spd_UpdateUser
	END

GO

CREATE PROCEDURE [dbo].[spd_UpdateUser]
(
	@UserId int,
	@NIF nchar(9),
	@Nombre [nchar](100),
	@Apellido1 [nchar](100),
	@Apellido2 [nchar](100),
	@Telf [nchar](10),
	@Direccion [nchar](100),
	@Poblacion [nchar](100),
	@Email [nchar](100),
	@RolId int,
	@FechaNacimiento [datetime],
	@FechaAlta [datetime],
	@FechaBaja [datetime],
	@Estado [bit],
	@IdIdioma int
)

AS

	DECLARE @ResultValue INT = 1

	IF EXISTS(SELECT 0 FROM Usuarios WHERE NIF = @NIF AND UserId <> @UserId)
	BEGIN
		SET @ResultValue = 0
	END
	ELSE
	BEGIN
		UPDATE Usuarios SET 
			NIF				= @NIF, 
			Nombre			= @Nombre, 
			Apellido1		= @Apellido1, 
			Apellido2		= @Apellido2, 
			Telf			= @Telf,
			Direccion		= @Direccion, 
			Poblacion		= @Poblacion,
			Email			= @Email, 
			RolId			= @RolId,
			FechaNacimiento	= @FechaNacimiento,
			FechaAlta		= @FechaAlta, 
			FechaBaja		= @FechaBaja, 
			Estado			= @Estado,
			IdIdioma		= @IdIdioma
		WHERE UserId = @UserId

	END
		
	SELECT @ResultValue
	 
GO