﻿Imports Model.Esperanto
Imports Business.Esperanto

Public Class CacheHelper
    Inherits CacheBaseHelper

    Private Const FormatTraduccioID As String = "Traduccio_{0}_{1}"

    ''' <summary>
    ''' Obtiene de la cache un texto traduicido. Si no lo encuentra se carga toda la caché
    ''' </summary>
    ''' <param name="IdIdioma"></param>
    ''' <param name="Etiqueta"></param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Shared Function Traduccio(ByVal IdIdioma As Integer, ByVal Etiqueta As String) As String

        Etiqueta = Etiqueta.Trim()
       
        Dim IDTraduccio As String = String.Format(FormatTraduccioID, IdIdioma, Etiqueta)
        If CacheBaseHelper.Exists(IDTraduccio) Then
            Return CacheBaseHelper.Retrieve(Of String)(IDTraduccio)

        Else
            OmplirCacheTraduccions(IdIdioma)
            Return CacheBaseHelper.Retrieve(Of String)(IDTraduccio)
        End If

    End Function

    ''' <summary>
    ''' Función que solicita a la Business la lista de textos traducidos para un idioma concreto
    ''' </summary>
    ''' <param name="IdIdioma"></param>
    ''' <remarks></remarks>
    Private Shared Sub OmplirCacheTraduccions(ByVal IdIdioma As Integer)

        Dim Traduccions As List(Of vwTraducciones) = TraduccionesManager.Instance.GetAllTraducciones(IdIdioma)

        If Traduccions IsNot Nothing Then
            Dim id As String
            For Each Item As vwTraducciones In Traduccions
                id = String.Format(FormatTraduccioID, Item.IdIdioma, Item.Etiqueta.Trim())
                CacheBaseHelper.Insert(id, Item.Traduccion.Trim())
            Next
        End If

    End Sub

End Class
