﻿$(document).ready(function () {

    // Quita el clase checkKO al hacer click
    $("input[type=text]").click(function (value) {
        $(this).removeClass("checkKO");
    });
    $("select").click(function (value) {
        $(this).removeClass("checkKO");
    });

    $('.double').keypress(function (event) {
        if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
    });

    $('.integer').keypress(function (event) {
        if (event.which < 48 || event.which > 57) {
            event.preventDefault();
        }
    });

    $('.date').keypress(function (event) {
        if ((event.which != 47) && (event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
    });
});

// Deshabilita todos los campos cuando se muestra la pantalla en modo consulta
// Esta función se llama desde las vistas:
// _PartialEmpresaDetails
// _PartialEmpresaAdministradores
// _PartialEmpresaDocumentacion
// _PartialEmpresaAuditora
// _PartialEmpresaInfoContable
// La tengo aquí para que no se repita tantas veces como vistas
// JAC: 12.03.2013
function ModeQuery() {
    $("input").attr("disabled", true);
    $("select").attr("disabled", true);
    $("checkbox").attr("disabled", true);
    $("textarea").attr("disabled", true);
    $(".ModequeryHide").hide();
}

// Ocula una fila de la tabla
// http://www.lewebmonster.com/manipulacion-de-tablas-con-jquery/ 
function hideTR(control) {

    var objFila = $(control).parents().get(1);
    
    $(objFila).hide();

}


// Elimina una fila de la tabla
// http://www.lewebmonster.com/manipulacion-de-tablas-con-jquery/ 
function removeTR(control) {

    var objFila = $(control).parents().get(1);

    $(objFila).remove();

}

// Retorna la última ruta de la url (antes de los parámetros)
// JAC: 21.12.2012
function getPageMode() {

    var loc = window.location;
    var pathnameTotal = window.location.pathname;
    var pathName = loc.pathname.substring(0, loc.pathname.lastIndexOf('/') + 1);

    return pathnameTotal.substring(pathName.length);
}

function getQueryParameter(parameter) {

    var queryString = location.search.substring(1);
    var parameterName = parameter + "=";

    if (queryString.length > 0) {
        begin = queryString.indexOf(parameter);
        if (begin != -1) {
            begin += parameterName.length;
            end = queryString.indexOf("&", begin);
            if (end == -1) {
                end = queryString.length
            }
            return unescape(queryString.substring(begin, end));
        }
    }
    return "";
}

// Valida si un control contiene texto
function ContainText(ControlId) {

    var obj = null;

    obj = null;
    obj = document.getElementById(ControlId);

    if (obj != null) {
        if (trim(obj.value).length > 0) { return true; } else { return false; }
    }

    return false;
}

function ltrim(s) {
    return s.replace(/^\s+/, "");
}

function rtrim(s) {
    return s.replace(/\s+$/, "");
}

function trim(s) {
    return rtrim(ltrim(s));
}

function getDate() {

    var mydate = new Date();
    var year = mydate.getYear();
    if (year < 1000)
        year += 1900;
    var day = mydate.getDay();
    var month = mydate.getMonth() + 1;
    if (month < 10)
        month = "0" + month;
    var daym = mydate.getDate();
    if (daym < 10)
        daym = "0" + daym;

    return daym + "/" + month + "/" + year;

}

function Format_Date_MMDDAAAA(date) {
    return date.replace(/^(\d{2})\/(\d{2})\/(\d{4})$/, "$2/$1/$3");
}

function Format_Price_ToDot(price) {
    return price.replace(",", ".");
}

function Format_Price_ToComma(price) {
    return price.replace(".", ",");
}

function isValidDate(fecha) {

    if (fecha != undefined && fecha.value != "") {

        if (!/^\d{2}\/\d{2}\/\d{4}$/.test(fecha)) {
            return false;
        }

        var dia = parseInt(fecha.substring(0, 2), 10);
        var mes = parseInt(fecha.substring(3, 5), 10);
        var anio = parseInt(fecha.substring(6), 10);

        switch (mes) {
            case 1:
            case 3:
            case 5:
            case 7:
            case 8:
            case 10:
            case 12:
                numDias = 31;
                break;
            case 4: case 6: case 9: case 11:
                numDias = 30;
                break;
            case 2:
                if (comprobarSiBisisesto(anio)) { numDias = 29 } else { numDias = 28 };
                break;
            default:
                return false;
        }
        if (dia > numDias || dia == 0) {
            return false;
        }
        return true;
    }
}

function comprobarSiBisisesto(anio) {
    if ((anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
        return true;
    }
    else {
        return false;
    }
}

/* Valida si un campo es integer y no vacio
JAC: 12.12.2012 */
function IntegerCheck(controlName) {

    if ($("#" + controlName).val().indexOf('.') != -1 || isNaN($("#" + controlName).val()) == true || ContainText(controlName) == false) {
        return false;
    }
    return true;
}

/* Valida si un campo es double y no vacio
No valida si:
- contiene un punto 
- no es numérico
- está vacio
JAC: 12.12.2012 */
function DoubleCheck(controlName) {

    if ($("#" + controlName).val().indexOf('.') != -1 || isNaN($("#" + controlName).val().replace(",", ".")) == true || ContainText(controlName) == false) {
        return false;
    }
    return true;
}

// Valida si un E-mail es correcto
function ValidaEmail(email) {

    var exMail = /^[\w-\.]+@([\w-]+\.)+[\w-]{2,4}$/;

    //usa el metodo test de expresion regular
    if (!exMail.test(email)) {
        return false;
    }
    else { return true; }
}

function ValidaURL(s) {
    var regex = /^(ht|f)tps?:\/\/\w+([\.\-\w]+)?\.([a-z]{2,4}|travel)(:\d{2,5})?(\/.*)?$/i;

    if (s.substring(0, 7) != "http://") {
        s = "http://" + s;
    }

    return regex.test(s);
}

function ValidaCodigoPostal(s) {
    var regexp = /^([1-9]{2}|[0-9][1-9]|[1-9][0-9])[0-9]{3}$/

    return regexp.test(s);
}

// Asigna un css en función de si ha pasado la validación
// JAC: 16.04.2013
function CheckClass(check, name) {

    if (check) {
        $("#" + name).removeClass("checkKO");
        $("#" + name).addClass("checkOK");
    }
    else {
        $("#" + name).removeClass("checkOK");
        $("#" + name).addClass("checkKO");
    }
}
