﻿@ModelType Model.Esperanto.Libros  

@Code
    ViewData("Title") = "Index"
    Layout = "~/Views/Shared/_Layout.vbhtml.vbhtml"
    Dim ControllerAction As String = String.Format("{0}/{1}", ViewContext.RouteData.GetRequiredString("controller"), ViewContext.RouteData.GetRequiredString("action"))
End Code
 
 <script language ="javascript" type ="text/javascript">

     $(document).ready(function () {

         var rolId = '@SessionHelper.User.RolId.ToString.Trim';

         if (rolId != 1) {
             $("#lnkNuevoLibro").hide();
             // Oculto los campos de búsqueda de un administrador a los usuarios
             $("#dvAdminFields").hide();
             $("#dvUserFields").show();

         }
         else {
             $("#dvAdminFields").show();
             $("#dvUserFields").hide();
         }

         SearchLibros();
     });

     function SearchLibros() {
     
        var titulo = $("#txtTitulo").val();
        var editorial = $("#ddEditorial").val(); 
        var autor = $("#ddlAutor").val();
        var disponibilidad = $("#ddlDisponibilidad").val();
        var genero = $("#ddlGenero").val();
        var isbn = $("#txtISBN").val();
        var idiomaId = $("#ddlIdiomaLibro").val();
        var tipoId = $("#ddlTipoDocumento").val();
        var prestado = $("#ddlPrestado").val();

        var url = '@Url.Action("Buscar", "Libros")';

        $.ajax({
            url: url,
            type: "POST",
            data: { Titulo: titulo, EditorialId: editorial, AutorId: autor, GeneroId: genero, Disponibilidad: disponibilidad, ISBN: isbn, IdiomaId: idiomaId, TipoId: tipoId, Prestado: prestado },
            
            beforeSend: function () {
                // $("#dvResultadoLibros").hide("");
               $("#dvResultadoLibros").html("");
                $("#dvloading_control").show();
            },
            success: function (data) {

                $("#dvloading_control").hide();
                $("#dvResultadoLibros").html(data);
                $("#dvResultadoLibros").show("");
            },
            error: function (xhr, ajaxOptions, thrownError) {
                $("#dvloading_control").hide();
            } 
        });
   }
   
</script>
<div class="dvWorkSpaceBorder">
     <div class="dvBuscadorContainer">
        <div class="title titleText">
            @Html.Translation("Buscarlibros") 
        </div>
        <div class="nuevoItem">
           <a href="#" id="lnkNuevoLibro" class="button blue" onclick="javascript:$(location).attr('href', '@Url.Action("Nuevo", "Libros")');">@Html.Translation("NuevoLibro")</a>
        </div>
        <div class="title1">
            @Html.Translation("Titulo")
        </div>
        <div class="input1">
            <input id="txtTitulo" type="text" value="@Model.Titulo.Trim" />
        </div>
        <div class="title2">
            @Html.Translation("Editorial")
        </div>
        <div class="input2">
            @Html.DropDowEditorial("ddEditorial", "ddl", Model.EditorialId)
        </div>
        <div class="title1">
            @Html.Translation("Autor")</div>
        <div class="input1">
            @Html.DropDownAutor("ddlAutor", "ddl", Model.AutorId)
        </div>
        <div class="title2">
            @Html.Translation("Genero")</div>
        <div class="input2">
            @Html.DropDownGenero("ddlGenero", "ddl", Model.GeneroId)
        </div>
        <div class="title1">
            @Html.Translation("ISBN")</div>
        <div class="input1">
            <input id="txtISBN" name="txtISBN" type="text" value="@Model.ISBN.Trim" />
        </div>
        <div class="title2">
            @Html.Translation("Disponibilidad")
        </div>
        <div class="input2">
            @Html.DropDownDisponibilidad("ddlDisponibilidad", "ddl", Model.Disponible)
        </div>
        <div class="title1">
            @Html.Translation("Idioma")
        </div>
        <div class="input1">
            @Html.DropDownIdiomaLibro("ddlIdiomaLibro", "ddl", Model.IdiomaId)
        </div>
        <div class="title2">
            @Html.Translation("tipo")
        </div>
        <div class="input2" >
            @Html.DropDownTipoDocumento("ddlTipoDocumento", "ddl", Model.TipoId)
        </div>
        <div id="dvAdminFields">
            <div class="title1">
                @Html.Translation("Prestado")
            </div>
            <div class="input1">
                @Html.DropDownPrestamo("ddlPrestado", "ddl")
            </div>
        </div> 
        <div id="dvUserFields">
            <div class="title1">
                &nbsp;
            </div>
            <div class="input1">
                    &nbsp;
            </div>
        </div>    
        <div class="title2">
            &nbsp;
        </div>
        <div class="input2 textRight" >
            <a href="#" id="cmdSearchLibros" class="button blue" onclick="javascript:SearchLibros();">@Html.Translation("Buscar")</a>
        </div>
    </div>
    <div style="clear:both;"></div>
    <div id="dvloading_control" class="dvloading_control" style="display :none;">
        <img alt ="" src="@Url.Image("big-loading.gif")" class="loadingImage" />
    </div>
    @*inyecto la partial _PartialResultadoLibros*@
    <div id="dvResultadoLibros" class="dvResultsSearchLibros"></div>
</div>
