﻿@ModelType Model.Esperanto.Libros 
@Code
    ViewData("Title") = "Libro"
    Layout = "~/Views/Shared/_Layout.vbhtml.vbhtml"
    Dim ControllerAction As String = String.Format("{0}/{1}", ViewContext.RouteData.GetRequiredString("controller"), ViewContext.RouteData.GetRequiredString("action"))
    Dim SinopsisHtmlString As New HtmlString(Model.Sinopsis)
End Code
<script type="text/javascript" src="../../Scripts/tinymce/tiny_mce.js"></script>
<script type="text/javascript" language="javascript">

    $(document).ready(function () {

        if ('@ControllerAction' == 'Libros/Nuevo') {
            $("#dvTittleUser").html('@Html.Translation("NuevoLibro")');
            showNewEdit();
        }
        else if ('@ControllerAction' == 'Libros/Editar') {
            $("#dvTittleUser").html('@Html.Translation("EditarLibro")');
            showNewEdit();
        }
        else if ('@ControllerAction' == 'Libros/Detail') {
            $("#dvTittleUser").html('@Html.Translation("DetalleLibro")');
            showDetail();
        }

        // mi msgbox
        $("#msgBox").dialog({
            autoOpen: false,
            modal: true,
            resizable: false,
            dialogClass: 'dialogStyleClass',
            buttons: {
                '@Html.Translation("Cancelar")': function () {
                    $(this).dialog("close");
                }
            }
        });  
    });

    function showNewEdit() {
     
        $("#Titulo").hide();
        $("#Editorial").hide();
        $("#Autor").hide();
        $("#Genero").hide();
        $("#ISBN").hide();
        $("#dvNuevoEdit").show();
        $("#dvConsulta").hide();
        $("#TipoDocumento").hide();
        $("#IdiomaLibro").hide();
        // lo escondo siempre
        $("#Sinopsis").hide();

        starttinyMCE();
    }

    function showDetail() {

        $("#txtTitulo").hide();
        $("#ddlEditorial").hide();
        $("#ddlAutor").hide();
        $("#ddlGenero").hide();
        $("#txtISBN").hide();
        $("#dvNuevoEdit").hide();
        $("#dvConsulta").show();
        $("#allfields").hide();
        $("#cmdAddLibro").hide();
        $("#ddlTipoDocumento").hide();
        $("#ddlIdiomaLibro").hide();
        // lo escondo siempre
        $("#Sinopsis").hide();

        starttinyMCE_Usuario();
    }

    function starttinyMCE() {

        tinyMCE.init({
            mode: "textareas",
            theme: "advanced",
            theme_advanced_buttons1: "forecolor, backcolor, separator, bold, italic, underline, separator, justifyleft, justifycenter, justifyright, justifyfull,bullist,numlist,separator,outdent,indent,separator,undo,redo",
            theme_advanced_toolbar_location: "top",
            theme_advanced_toolbar_align: "center"
        });
    }

    // Inicia tinyMCE en modo sólo lectura
    // JAC: 18.05.2013
    function starttinyMCE_Usuario() {

        tinyMCE.init({
            mode: "textareas",
            theme: "advanced",
            readonly: 1,
            theme_advanced_buttons1: "forecolor, backcolor, separator, bold, italic, underline, separator, justifyleft, justifycenter, justifyright, justifyfull,bullist,numlist,separator,outdent,indent,separator,undo,redo",
            theme_advanced_toolbar_location: "top",
            theme_advanced_toolbar_align: "center"
        });
    }

    function CancelClick() {
        $(location).attr('href', '@Url.Action("Buscador", "Libros")');
    }

    function AcceptClick() {

        // Asigno el texto del tinymce
        $("#hdnSinopsis").val(tinyMCE.get('txtSinopsis').getContent());
     
        if ('@ControllerAction' == 'Libros/Nuevo') {
            addLibro();
        }
        else if ('@ControllerAction' == 'Libros/Editar') {
            editLibro();
        }
    }

    function addLibro() {

        if (checkLibro()) {

            var url = '@Url.Action("NuevoLibro", "Libros")';
            $.ajax({
                url: url,
                type: "POST",
                data: $("#formLibro").serialize(),
                beforeSend: function () {
                    $("#dvloading_control").show();
                },
                success: function (data) {

                    if (data == "Error") {
                        $(location).attr('href', '@Url.Action("Index", "Error")');
                    }
                    else {
                        $("#msgBox").html('@Html.Translation("librook")')
                        $("#msgBox").dialog("open");

                        $("#dvloading_control").hide();
                        $(location).attr('href', '@Url.Action("Buscador", "Libros")');
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    $("#dvloading_control").hide();
                }
            });
        }
    }

    function editLibro() {

        if (checkLibro()) {

            var url = '@Url.Action("EditarLibro", "Libros")';
            $.ajax({
                url: url,
                type: "POST",
                data: $("#formLibro").serialize(),
                beforeSend: function () {
                    $("#dvloading_control").show();
                },
                success: function (data) {
                    $("#msgBox").html('@Html.Translation("updatelibrook")')
                    $("#msgBox").dialog("open");
                    $("#dvloading_control").hide();
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    $("#dvloading_control").hide();
                }
            });
        }
    }

    function checkLibro() {

        var result = true;
        var sipnosis = "";

        if (ContainText('txtTitulo') == true) { CheckClass(true, 'txtTitulo') } else { CheckClass(false, 'txtTitulo'); result = false }
        if ($("#ddlEditorial").val() != -1) { CheckClass(true, 'ddlEditorial') } else { CheckClass(false, 'ddlEditorial'); result = false }
        if ($("#ddlAutor").val() != -1) { CheckClass(true, 'ddlAutor') } else { CheckClass(false, 'ddlAutor'); result = false }
        if ($("#ddlGenero").val() != -1) { CheckClass(true, 'ddlGenero') } else { CheckClass(false, 'ddlGenero'); result = false }
        if ($("#ddlDisponible").val() != -1) { CheckClass(true, 'ddlDisponible') } else { CheckClass(false, 'ddlDisponible'); result = false }
        if ($("#ddlIdiomaLibro").val() != -1) { CheckClass(true, 'ddlIdiomaLibro') } else { CheckClass(false, 'ddlIdiomaLibro'); result = false }
        if ($("#ddlTipoDocumento").val() != -1) { CheckClass(true, 'ddlTipoDocumento') } else { CheckClass(false, 'ddlTipoDocumento'); result = false }
        if (ContainText('txtISBN') == true) { CheckClass(true, 'txtISBN') } else { CheckClass(false, 'txtISBN'); result = false }
        if ($("#txtStock").val() > 0) { CheckClass(true, 'txtStock') } else { CheckClass(false, 'txtStock'); result = false }

        sipnosis = tinyMCE.get('txtSinopsis').getContent();
        sipnosis = sipnosis.replace("<p>", "").replace("</p>", "").replace(/&nbsp;/g, "");

        if (trim(sipnosis).length == 0) {
            $("#SinopsisContainer").hide();
            $("#Sinopsis").show();
            $("#Sinopsis").addClass("checkKO");
            result = false;
        }
        else {
            $("#SinopsisContainer").show();
            $("#Sinopsis").hide();
            $("#Sinopsis").removeClass("checkKO");
        }
        return result;
    }

    // Vuelve a mostrar el control tinimce si se es un administrador
    function showTiny() {

        $("#Sinopsis").removeClass("checkKO");
        $("#Sinopsis").hide();
        $("#SinopsisContainer").show();
    }
   
</script>
<form id="formLibro" action="#">

    <input id="hdnLibroId" name="hdnLibroId" type="hidden" value='@Model.LibroId' />
     
    <div class="dvWorkSpaceBorder">
        <div class="dvContainer">
            <div id="dvTittleUser" class="title titleText">
                @Html.Translation("DetalleLibro") @Model.Titulo.Trim
            </div>
            <div class="nuevoItem">
                &nbsp;
            </div>
            <div class="title1">
                @Html.Translation("Titulo")
            </div>
            <div class="input1">
                <span id="Titulo" class="text">@Model.Titulo.Trim</span>
                <input id="txtTitulo" name="txtTitulo" type="text" value='@Model.Titulo.Trim' />
            </div>
            <div class="title2">
                @Html.Translation("Editorial")
            </div>
            <div class="input2">
                <span id="Editorial" class="text">@IIf(Model.Editorial IsNot Nothing andalso Model.Editorial.Descripcion  IsNot Nothing, Model.Editorial.Descripcion.Trim, String.Empty)</span>
                @Html.DropDowEditorial("ddlEditorial", "ddl", Model.EditorialId)
            </div>
            <div class="title1">
                @Html.Translation("Autor")
            </div>
            <div class="input1">
                <span id="Autor" class="text">@IIf(Model.Autor IsNot Nothing, Model.Autor.Descripcion.Trim, String.Empty)</span>
                @Html.DropDownAutor("ddlAutor", "ddl", Model.AutorId)
            </div>
            <div class="title2">
                @Html.Translation("Genero")
            </div>
            <div class="input2">
                <span id="Genero" class="text">@IIf(Model.Genero IsNot Nothing, Model.Genero.Descripcion.Trim, String.Empty)</span>
                @Html.DropDownGenero("ddlGenero", "ddl", Model.GeneroId)
            </div>
            <div class="title1">
                @Html.Translation("ISBN")
            </div>
            <div class="input1">
                <span id="ISBN" class="text">@Model.ISBN.Trim</span>
                <input id="txtISBN" name="txtISBN" type="text" value='@Model.ISBN.Trim' />
            </div>
            <div id="dvNuevoEdit">
                <div class="title2">
                    @Html.Translation("Stock")
                </div>
                <div class="input2">
                    <input id="txtStock" name="txtStock" type="text" class="integer" value='@Model.Stock' maxlength ="3" />
                </div>
            </div>
            <div id="dvConsulta">
                <div class="title2">
                    @Html.Translation("Disponible")
                </div>
                <div class="input2">
                    <span id="Disponible" class="text">@Iif(Model.Stock>0,"Si","No").ToString</span>
                </div>
            </div>
            <div class="title1">
                @Html.Translation("Idioma")
            </div>
            <div class="input1">
                <span id="IdiomaLibro" class="text">@Html.Translation(Model.IdiomaLibro.Descripcion.Trim)</span>
                @Html.DropDownIdiomaLibro("ddlIdiomaLibro", "ddl", Model.IdiomaId)
            </div>
            <div class="title2">
                @Html.Translation("tipo")
            </div>
            <div class="input2">
                <span id="TipoDocumento" class="text">@Html.Translation(Model.TipoDocumento.Descripcion.Trim)</span>
                @Html.DropDownTipoDocumento("ddlTipoDocumento", "ddl", Model.TipoId)
            </div>
            <div class="title1">
                @Html.Translation("Sinopsis")
            </div>
            <div class="input1">
                &nbsp;
            </div>
            <div class="title2">
                &nbsp;
            </div>
            <div class="input2">
                &nbsp;
            </div>
            <div class="title1">
                <div id="SinopsisContainer">
                    <textarea id="txtSinopsis" name="txtSinopsis" rows="18" cols="103" >@Model.Sinopsis</textarea>
                    <input id="hdnSinopsis" name="hdnSinopsis" type="hidden" />
                </div>
                <div id="Sinopsis" class="text sinopsisUsuario" onclick="showTiny();"></div>
            </div>
        </div>
        <div style="height: 200px; margin: 0 auto 0 auto; width: 700px;">
            <div id="dvloading_control" class="dvloading_control" style="display: none; top: 60px;">
                <img alt ="" src="@Url.Image("big-loading.gif")" class="loadingImage" />
            </div>
        </div>
        <div style="clear: both;">
        </div>
        <div class="dvUsuarioButton">
            <span id="allfields">@Html.Translation("allfields") &nbsp;&nbsp;&nbsp;</span>
            <a href="#" id="cmdAddLibro" class="button blue" onclick="javascript:AcceptClick();">@Html.Translation("Aceptar")</a>
            <a href="#" id="cmdCancel" class="button blue" onclick="javascript:CancelClick();">@Html.Translation("Cancelar")</a>
        </div>
    </div>
</form>

<div id="msgBox" style="display:none;">
	@*inyecto el mensaje*@
</div>


