﻿@ModelType List(Of Model.Esperanto.Libros)
@Code
    Dim AlternateRowStyle As String = String.Empty
    Dim Counter As Integer = 0
End Code
<script type="text/javascript" src="../../Scripts/tinymce/tiny_mce.js"></script>
<script language ="javascript" type ="text/javascript">

    $(document).ready(function () {

        if ('@Model.Count' == 0) {
            $("#dvResults").hide();
            $("#dvNoResults").show();
        }

        // mi msgbox       
        $("#msgBox").dialog({
            autoOpen: false,
            modal: true,
            resizable: false,
            dialogClass: 'dialogStyleClass',
            buttons: {
                '@Html.Translation("Cancelar")': function () {
                    $(this).dialog("close");
                }
            }
        });
    });

    function EditLibro(libroId) {
        $(location).attr('href', '@Url.Action("Editar", "Libros")?LibroId=' + libroId);
    }

    // Reserva un libro
    // JAC: 18.05.2013
    function reservar(libroId) { 

        var url = '@Url.Action("Reservar", "Reservas")';

        $.ajax({
            url: url,
            type: "POST",
            data: { libroId: libroId },
            beforeSend: function () {
                $("#dvResultadoLibros").html("");
                $("#dvloading_control").show();
            },
            success: function (data) {

                $("#dvloading_control").hide();

                if (data == "Error") {
                    $(location).attr('href', '@Url.Action("Index", "Error")');
                }
                else {
                    $("#msgBox").html('@Html.Translation("reservaOK")')
                    $("#msgBox").dialog("open");
                    SearchLibros();
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {

                $("#dvloading_control").hide();
            }
        });
    }

    function detail(libroId) {
        $(location).attr('href', '@Url.Action("Detail", "Libros")?LibroId=' + libroId);
    }

    function yareservado() {
        $("#msgBox").html('@Html.Translation("YaLoHeReservado")')
        $("#msgBox").dialog("open");
    }


    function noStock() {
        $("#msgBox").html('@Html.Translation("nostocj")')
        $("#msgBox").dialog("open");
    }
    function maxPrestamos() {
        $("#msgBox").html('@Html.Translation("maxReservasPrestamos")')
        $("#msgBox").dialog("open");
    }


</script>

<div id="dvResults">
    <table id="tblLibros" border="1">
        <colgroup >
            <col width ="20%" />
            <col width ="10%" />
            <col width ="10%" />
            <col width ="15%"/>
            <col width ="10%"/>
            <col width ="10%"/>
            <col width ="18%"/>
            <col width ="7%"/>
        </colgroup>
        <thead>
            <tr>
                <th>
                    @Html.Translation("Titulo")
                </th>
                <th>
                    @Html.Translation("tipo")
                </th>
                <th>
                    @Html.Translation("Idioma")
                </th>
                <th>
                    @Html.Translation("Autor")
                </th>
                <th>
                    @Html.Translation("ISBN")
                </th>
                <th>
                    @Html.Translation("Editorial")
                </th>
                <th>
                    @Html.Translation("Genero")
                </th>
                    @If SessionHelper.User.RolId = 1 Then ' Administrador
                        @:<th>
                            @Html.Translation("Editar")
                        @:</th>
                    ElseIf SessionHelper.User.RolId = 2 Then ' Usuario
                        @:<th>
                            @Html.Translation("Reservar")
                        @:</th>
                    End If
            </tr>
        </thead>
        <tbody>
            @For Each item As Model.Esperanto.Libros In Model
                                
                If Counter Mod 2 = 0 Then
                    AlternateRowStyle = "alt"
                Else
                    AlternateRowStyle = String.Empty
                End If
                
                @<tr class="@AlternateRowStyle">
                    <td>
                        <a onclick="javascript:detail(@item.LibroId);" class="lnkReturn">@Html.EllipsisText(item.Titulo, 20)</a> 
                    </td>
                    <td>
                        @Html.Translation(item.TipoDocumento.Descripcion.Trim)
                    </td>
                    <td>
                        @Html.Translation(item.IdiomaLibro.Descripcion.Trim)
                    </td>
                    <td>
                        @item.Autor.Descripcion.Trim
                    </td>
                    <td>
                        @item.ISBN
                    </td>
                    <td>
                        @item.Editorial.Descripcion.Trim
                    </td>
                    <td>
                        @Html.Translation(item.Genero.Descripcion.Trim)
                    </td>
                        @If SessionHelper.User.RolId = 1 Then ' Administrador
                            @:<td style="padding-left :20px;padding-top:4px;cursor:pointer;">
                                @:<img id="imgEdit" alt="" src='@Url.ContentImage("edit.png")' style="cursor:pointer" onclick="javascript:EditLibro(@item.LibroId)" />
                            @:</td>
                        ElseIf SessionHelper.User.RolId = 2 Then ' Usuario
                        'Controlamos si el libro no está en stock
                         
                        Dim imageName As String = String.Empty
                        Dim action As String = "javascript:void(0);"
                        Dim nReservas As Integer = 0
                        Dim nPrestamos As Integer = 0
                        Dim YaLoHeReservado As Boolean = False
                        Dim LibroId As Integer = item.LibroId
                        Dim Tool_Tip As String = String.Empty
                        
                        
                        If SessionHelper.ReservasUser IsNot Nothing Then
                        nReservas = SessionHelper.ReservasUser.Count
                        YaLoHeReservado = IIf((From a In SessionHelper.ReservasUser Where a.LibroId = LibroId Select a.ReservaId).Count > 0, True, False)
                        End If
                        
                        nPrestamos = 0 ' revisar jac quitar esto SessionHelper.PrestamosUser.Count
                                                                       
                        If item.Stock > 0 AndAlso (nReservas + nPrestamos < 3) AndAlso YaLoHeReservado = False Then
                        
                        imageName = Url.ContentImage("cart_add.png")
                        action = String.Concat("javascript:reservar(", item.LibroId, ")")
                        Tool_Tip = Html.Translation("Reservar").ToString
                        
                        ElseIf YaLoHeReservado = True Then
                        
                        imageName = Url.ContentImage("cart_remove.png")
                        action = "javascript:yareservado();"
                        Tool_Tip = Html.Translation("Reservado").ToString
                        
                        ElseIf item.Stock = 0 Then
                        
                        imageName = Url.ContentImage("cart_delete.png")
                        action = "javascript:noStock();"
                        Tool_Tip = Html.Translation("tipNoStock").ToString
                        
                        ElseIf nReservas + nPrestamos >= 3 Then
                        
                        imageName = Url.ContentImage("cart_delete.png")
                        action = "javascript:maxPrestamos();"
                        Tool_Tip = Html.Translation("maxReservasTip").ToString
                        
                        End If
                        @:<td style="padding-left :20px;padding-top:4px;cursor:pointer;">                                               
                            @:<img id="imgAddCart" alt="" src='@imageName' style="cursor:pointer" onclick="@action" title="@Tool_Tip" />
                        @:</td>
                        End If
                </tr>
                Counter += 1
            Next
        </tbody>
    </table>
</div>
<div id="dvNoResults" class="noResults" style="display:none;">
    @Html.Translation("NoResults")
</div>
<div id="msgBox" style="display:none;">
	@*inyecto el mensaje*@
</div>