﻿@ModelType Model.Esperanto.Prestamos

@Code
    ViewData("Title") = "Index"
    Layout = "~/Views/Shared/_Layout.vbhtml.vbhtml"
End Code

<script language ="javascript" type ="text/javascript">

    $(document).ready(function () {

        if ('@SessionHelper.User.RolId' == 2) {
            // Oculto los campos de búsqueda de un administrador a los usuarios
            $("#dvAdminFields").hide();
        }

        $("#txtFechaPrestamoIni").datepicker({ dateFormat: "dd/mm/yy" });
        $("#txtFechaPrestamoFin").datepicker({ dateFormat: "dd/mm/yy" });
        $("#txtFechaRetornoIni").datepicker({ dateFormat: "dd/mm/yy" });
        $("#txtFechaRetornoFin").datepicker({ dateFormat: "dd/mm/yy" });

        SearchPrestamos();
    });

    // Busca Prestamos con los parámetros de búsqueda indicados
    // JAC: 24.05.2013
    function SearchPrestamos() {

        var prestamoId = $("#txtPrestamoId").val();
        var nif = $("#txtNIF").val();
        var titulo = $("#txtTitulo").val();
        var autor = $("#ddlAutor").val();
        var isbn = $("#txtISBN").val();
        var estadoPrestamo = $("#ddlEstadoPrestamos").val();
        var fechaPrestamoIni = $("#txtFechaPrestamoIni").val();
        var fechaPrestamoFin = $("#txtFechaPrestamoFin").val();
        var fechaRetornoIni = $("#txtFechaRetornoIni").val();
        var fechaRetornoFin = $("#txtFechaRetornoFin").val();
        var fueraPlazo = $("#ddlFueraPlazo").val();
        
        var url = '@Url.Action("Buscar", "Prestamos")';
               
        $.ajax({
            url: url,
            type: "POST",
            data: { PrestamoId: prestamoId, NIF: nif, Titulo: titulo, AutorId: autor,
                    ISBN: isbn, EstadoPrestamo: estadoPrestamo, 
                    FechaPrestamoIni: fechaPrestamoIni, FechaPrestamoFin: fechaPrestamoFin, 
                    FechaRetornoIni: fechaRetornoIni, FechaRetornoFin: fechaRetornoFin, FueraPlazo: fueraPlazo},
            beforeSend: function () {
                $("#dvResultadoPrestamos").html("");
                $("#dvloading_control").show();
            },
            success: function (data) {

                if (data == "Error") {
                    $(location).attr('href', '@Url.Action("Index", "Error")');
                }
                else {
                    $("#dvResultadoPrestamos").html(data);
                    $("#dvloading_control").hide();
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                $("#dvloading_control").hide();
            }
        });
    } 
     
</script>

<div class="dvWorkSpaceBorder">
     <div class="dvReservasPrestamosContainer">
        <div class="title titleText">
            @Html.Translation("BuscarPrestamos") 
        </div>
        <div class="nuevoItem">
           &nbsp;
        </div>

        <div id="dvAdminFields">
            <div class="title1">
                @Html.Translation("code")
            </div>
            <div class="input1">
                <input id="txtPrestamoId" type="text" class="integer" value='@IIf(Model.PrestamoId = -1, String.Empty, Model.PrestamoId)' />
            </div>
            <div class="title2">
                @Html.Translation("NIF")
            </div>
            <div class="input2">
                <input id="txtNIF" type="text" value="@Model.Usuarios.NIF" />
            </div>
        </div>

        <div class="title1">
            @Html.Translation("Titulo")
        </div>
        <div class="input1">
            <input id="txtTitulo" type="text" value="@Model.Libros.Titulo.Trim" />
        </div>
        
        
        
        <div class="title2">
            @Html.Translation("ISBN")
        </div>
        <div class="input2">
            <input id="txtISBN" name="txtISBN" type="text" value="@Model.Libros.ISBN.Trim" />
        </div>


        <div class="title1">
            @Html.Translation("Autor")
        </div>
        <div class="input1">
            @Html.DropDownAutor("ddlAutor", "ddl", Model.Libros.AutorId)
        </div>
        <div class="title2">
            @Html.Translation("fueraplazo")
        </div>
        <div class="input2">
            @Html.DropDownPlazo("ddlFueraPlazo", "ddl", Model.FueraPlazo)
        </div>
        <div class="title1">
            @Html.Translation("PrestadoEntre")
        </div>
        <div class="input1">
            <input id="txtFechaPrestamoIni" name="txtFechaPrestamoIni" class="calendar"  maxlength ="10" type="text" value="@HtmlExtensions.GetFormat_Date(Model.FechaPrestamoIni)" style="width:65px;"/>
            @Html.Translation("Y")   
            <input id="txtFechaPrestamoFin" name="txtFechaPrestamoFin" maxlength ="10" type="text" value="@HtmlExtensions.GetFormat_Date(Model.FechaPrestamoFin)" style="width:65px;"/>
        </div>
        <div class="title2">
            @Html.Translation("Estado")
        </div>
        <div class="input2">
            @Html.DropDownEstadosPrestamos("ddlEstadoPrestamos", "ddl", Model.EstadoPrestamoId)
        </div>
        <div class="title1">
            @Html.Translation("RetornadoEntre")
        </div>
        <div class="input1">
            <input id="txtFechaRetornoIni" name="txtFechaRetornoIni" maxlength ="10" type="text" value="@HtmlExtensions.GetFormat_Date(Model.FechaRetornoIni)" style="width:65px;"/>
            @Html.Translation("Y")
            <input id="txtFechaRetornoFin" name="txtFechaRetornoFin" maxlength ="10" type="text" value="@HtmlExtensions.GetFormat_Date(Model.FechaRetornoFin)" style="width:65px;"/>
        </div>
        <div class="title2">
            &nbsp;
        </div>
        <div class="input2 textRight" >
            <a href="#" id="cmdSearchPrestamos" class="button blue" onclick="javascript:SearchPrestamos();">@Html.Translation("Buscar")</a>
        </div>
    </div>
    
    <div style="clear:both;"></div>
    <div id="dvloading_control" class="dvloading_control" style="display :none;">
        <img alt ="" src="@Url.Image("big-loading.gif")" class="loadingImage" />
    </div>
    @*inyecto la partial _PartialResultadoPrestamos*@
    <div id="dvResultadoPrestamos" class="dvResultsPrestamosSearch"></div>
</div>
