﻿@ModelType Model.Esperanto.Reservas

@Code
    ViewData("Title") = "Index"
    Layout = "~/Views/Shared/_Layout.vbhtml.vbhtml"
End Code

<script language ="javascript" type ="text/javascript">

    $(document).ready(function () {

        if ('@SessionHelper.User.RolId' == 2) {
            // Oculto los campos de búsqueda de un administrador a los usuarios
            $("#dvAdminFields").hide();
        }

        $("#txtFechaReservaIni").datepicker({ dateFormat: "dd/mm/yy" });
        $("#txtFechaReservaFin").datepicker({ dateFormat: "dd/mm/yy" });
        $("#txtFechaCancelacionIni").datepicker({ dateFormat: "dd/mm/yy" });
        $("#txtFechaCancelacionFin").datepicker({ dateFormat: "dd/mm/yy" });

        SearchReservas();
    });

    // Busca reservas con los parámetros de búsqueda indicados
    // JAC: 19.05.2013
    function SearchReservas() {

        var reservaId = $("#txtReservaId").val();
        var nif = $("#txtNIF").val();
        var titulo = $("#txtTitulo").val();
        var autor = $("#ddlAutor").val();
        var isbn = $("#txtISBN").val();
        var estadoReserva = $("#ddlEstadoReservas").val();
        var fechaReservaIni = $("#txtFechaReservaIni").val();
        var fechaReservaFin = $("#txtFechaReservaFin").val();
        var fechaCancelacionIni = $("#txtFechaCancelacionIni").val();
        var fechaCancelacionFin = $("#txtFechaCancelacionFin").val();
        
        var url = '@Url.Action("Buscar", "Reservas")';

        $.ajax({
            url: url,
            type: "POST",
            data: { ReservaId: reservaId, NIF: nif, Titulo: titulo, AutorId: autor, ISBN: isbn, EstadoReserva: estadoReserva,
                    FechaReservaIni: fechaReservaIni, FechaReservaFin: fechaReservaFin,
                    FechaCancelacionIni: fechaCancelacionIni, FechaCancelacionFin: fechaCancelacionFin},
            beforeSend: function () {
                $("#dvResultadoReservas").html("");
                $("#dvloading_control").show();
            },
            success: function (data) {

                if (data == "Error") {
                    $(location).attr('href', '@Url.Action("Index", "Error")');
                }
                else {
                    $("#dvResultadoReservas").html(data);
                    $("#dvloading_control").hide();
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                $("#dvloading_control").hide();
            }
        });
     
    }

</script>

<div class="dvWorkSpaceBorder">
     <div class="dvReservasBuscadorContainer">
        <div class="title titleText">
            @Html.Translation("BuscarReservas") 
        </div>
        <div class="nuevoItem">
           &nbsp;
        </div>

        <div id="dvAdminFields">
            <div class="title1">
                @Html.Translation("code")
            </div>
            <div class="input1">
                <input id="txtReservaId" type="text" class="integer" value='@IIf(Model.ReservaId = -1, String.Empty, Model.ReservaId)' />
            </div>
            <div class="title2">
                @Html.Translation("NIF")
            </div>
            <div class="input2">
                <input id="txtNIF" type="text" value="@Model.Usuarios.NIF" />
            </div>
        </div>

        <div class="title1">
            @Html.Translation("Titulo")
        </div>
        <div class="input1">
            <input id="txtTitulo" type="text" value="@Model.Libros.Titulo.Trim" />
        </div>
        
        
        <div class="title2">
            @Html.Translation("ISBN")
        </div>
        <div class="input2">
            <input id="txtISBN" name="txtISBN" type="text" value="@Model.Libros.ISBN.Trim" />
        </div>
        <div class="title1">
            @Html.Translation("Autor")</div>
        <div class="input1">
            @Html.DropDownAutor("ddlAutor", "ddl", Model.Libros.AutorId)
        </div>
        <div class="title2">
            @Html.Translation("Estado")
        </div>
        <div class="input2">
            @Html.DropDownEstadosReserva("ddlEstadoReservas", "ddl", Model.EstadoReservaId)
        </div>
        <div class="title1">
            @Html.Translation("reservaentre")
        </div>
        <div class="input1">
            <input id="txtFechaReservaIni" name="txtFechaReservaIni" class="calendar"  maxlength ="10" type="text" value="@HtmlExtensions.GetFormat_Date(Model.FechaReservaIni)" style="width:65px;"/>
            @Html.Translation("Y")   
            <input id="txtFechaReservaFin" name="txtFechaReservaFin" maxlength ="10" type="text" value="@HtmlExtensions.GetFormat_Date(Model.FechaReservaFin)" style="width:65px;"/>
        </div>
        <div class="title2">
            @Html.Translation("canceladoentre")
        </div>
        <div class="input2" >
            <input id="txtFechaCancelacionIni" name="txtFechaCancelacionIni" maxlength ="10" type="text" value="@HtmlExtensions.GetFormat_Date(Model.FechaCancelacionIni)" style="width:65px;"/>
            @Html.Translation("Y")
            <input id="txtFechaCancelacionFin" name="txtFechaCancelacionFin" maxlength ="10" type="text" value="@HtmlExtensions.GetFormat_Date(Model.FechaCancelacionFin)" style="width:65px;"/>
        </div>
        <div class="title1">
            &nbsp;
        </div>
        <div class="input1">
            &nbsp;
        </div>
        <div class="title2">
            &nbsp;
        </div>
        <div class="input2 textRight" >
            <a href="#" id="cmdSearchReservas" class="button blue" onclick="javascript:SearchReservas();">@Html.Translation("Buscar")</a>
        </div>
    </div>
    
    <div style="clear:both;"></div>
    <div id="dvloading_control" class="dvloading_control" style="display :none;">
        <img alt ="" src="@Url.Image("big-loading.gif")" class="loadingImage" />
    </div>
    @*inyecto la partial _PartialResultadoReservas*@
    <div id="dvResultadoReservas" class="dvResultsReservasSearch"></div>
</div>
