﻿@ModelType Model.Esperanto.Usuarios 
@Code
    ViewData("Title") = "Buscador"
    Layout = "~/Views/Shared/_Layout.vbhtml.vbhtml"
End Code

<script language ="javascript" type ="text/javascript">

    $(document).ready(function () {
        $("#ddlEstado").val('@Model.Estado');
        SearchUser();
    })

    function SearchUser(){
       
        var nombre = $("#txtNombre").val();
        var apellido1 = $("#txtApellido1").val();
        var apellido2 = $("#txtApellido2").val();
        var telefono = $("#txtTelf").val();
        var rolId = $("#ddlRol").val();
        var nif = $("#txtNIF").val();
        var poblacion = $("#txtPoblacion").val();
        var estado = $("#ddlEstado").val();
        var url = '@Url.Action("Buscar","Usuarios")';
        var prestado = $("#ddlPrestado").val();


        $.ajax({
            url: url,
            type: "POST",
            data: { Nombre: nombre, Apellido1: apellido1, Apellido2: apellido2, Telefono: telefono, NIF: nif, Poblacion: poblacion, Rol: rolId, Estado: estado, Prestado: prestado },
            beforeSend: function () {
                $("#dvResultadoUsuarios").html("");
                $("#dvloading_control").show();
            },
            success: function (data) {
                $("#dvResultadoUsuarios").html(data);
                $("#dvloading_control").hide();
             },
             error: function (xhr, ajaxOptions, thrownError) {
                 $("#dvloading_control").hide();
                }
            });
        }

</script>

<div class="dvWorkSpaceBorder">
    <div class="dvBuscadorContainer">
        <div class="title titleText">
            @Html.Translation("BuscarUsuarios")
        </div>
        <div class="nuevoItem">
           <a href="#" id="lnkNuevoUsuario" class="button blue" onclick="javascript:$(location).attr('href', '@Url.Action("Registro", "Usuarios")');" >@Html.Translation("NuevoUsuario")</a>
        </div>
        <div class="title1">
            @Html.Translation("Nombre")
        </div>
        <div class="input1">
            <input id="txtNombre" name="txtNombre" type="text" value="@Model.Nombre.Trim" />
        </div>
        <div class="title2">
            @Html.Translation("Rol")</div>
        <div class="input2">
            @Html.DropDownRol("ddlRol", "ddl", True, Model.RolId)
        </div>
        <div class="title1">
            @Html.Translation("Apellido1")</div>
        <div class="input1">
            <input id="txtApellido1" name="txtApellido1" type="text" value="@Model.Apellido1.Trim()" />
        </div>
        <div class="title2">
            @Html.Translation("NIF")</div>
        <div class="input2">
            <input id="txtNIF" name="txtNIF" type="text" value="@Model.NIF.Trim"/>
        </div>
        <div class="title1">
            @Html.Translation("Apellido2")</div>
        <div class="input1">
            <input id="txtApellido2" name="txtApellido2" type="text" value="@Model.Apellido2.Trim" />
        </div>
        <div class="title2">
            @Html.Translation("Poblacion")</div>
        <div class="input2">
            <input id="txtPoblacion" name="txtPoblacion" type="text" value="@Model.Poblacion.Trim" />
        </div>
        <div class="title1">
            @Html.Translation("Telefono")</div>
        <div class="input1">
            <input id="txtTelf" name="txtTelf" type="text" class="integer" value="@Model.Telf.Trim"/>
        </div>
        <div class="title2">
            @Html.Translation("Estado")</div>
        <div class="input2">
            @Html.DropDownEstado("ddlEstado", "ddl")
        </div>
        <div id="dvAdminFields">
            <div class="title1">
                @Html.Translation("EnPrestamo")
            </div>
            <div class="input1">
                @Html.DropDownPrestamo("ddlPrestado", "ddl")
            </div>
        </div> 
        <div class="title2">
            &nbsp;
        </div>
        <div class="input2 textRight">
            <a href="#" id="cmdSearchUser" class="button blue" onclick="javascript:SearchUser();">@Html.Translation("Buscar")</a>
        </div>
    </div>
    <div style="clear:both;"></div>
    <div id="dvloading_control" class="dvloading_control" style="display :none;">
        <img alt ="" src="@Url.Image("big-loading.gif")" class="loadingImage" />
    </div>
    @*inyecto la partial _PartialResultadoUsuarios*@
    <div id="dvResultadoUsuarios" class="dvResultsSearch"></div>
</div>
