﻿
var arrayLetras = new Array(44);
// La posición 23 nunca sale, está en el array para las posiciones posteriores a la 23.
arrayLetras = new Array("T", "R", "W", "A", "G", "M", "Y", "F", "P", "D", "X", "B", "N", "J", "Z", "S", "Q",
                                   "V", "H", "L", "C", "K", "E", "T", "0", "9", "8", "7", "6", "5", "4", "3", "2", "1",
                                   "J", "I", "H", "G", "F", "E", "D", "C", "B", "A");

/* http://hachecrm2011.wordpress.com/2012/11/07/javascript-functions-for-validating-iban-bank-account-id-and-passport-number-for-spain/ */




/*
Fuente de la informacion:
http://bulma.net/impresion.phtml?nIdNoticia=2248
http://www.trucomania.org/trucomania/truco.cgi?337&esp
http://es.wikipedia.org/wiki/N%C3%BAmero_de_identificaci%C3%B3n_fiscal#C.C3.A1lculo_de_la_letra_del_NIF

A - Sociedades Anónimas
B - Sociedades de responsabilidad limitada
C - Sociedades colectivas
D - Sociedades comanditarias
E - Comunidades de bienes
F - Sociedades cooperativas
G - Asociaciones y otros tipos no definidos
H - Comunidades de propietarios
J - Sociedades civiles, con o sin personalidad jurídica
K - Españoles menores de 14 años
L - Españoles residentes en el extranjero sin DNI
M - NIF que otorga la Agencia Tributaria a extranjeros que no tienen NIE
N - Entidades extranjeras
P - Corporaciones locales
Q - Organismos autónomos
R - Congregaciones e instituciones religiosas
S - Organos de la administración
U - Uniones Temporales de Empresas
V - Otros tipos no definidos en el resto de claves
W - Establecimientos permanentes de entidades no residentes en España
X - Extranjeros identificados por la Policía con un número de identidad de extranjero, NIE, asignado hasta el 15 de julio de 2008
Y - Extranjeros identificados por la Policía con un NIE, asignado desde el 16 de julio de 2008 (Orden INT/2058/2008, BOE del 15 de julio )
Z - Letra reservada para cuando se agoten los 'Y' para Extranjeros identificados por la Policía con un NIE

La ultima cifra es el dígito de control, que puede ser o bien un número o bien
una letra, en función del tipo de sociedad.
A las categorias P (Ayuntamientos) y X (Extranjeros) les corresponde una letra
en lugar de un número.

El dígito de control se calcula con las 7 cifras restantes del CIF (quitando la
primera y la ultima), con el siguiente algoritmo:

- CIF: A58818501
- Quitamos la primera y la ultima cifra:
5881850
- Sumamos las cifras pares:
Suma = 8 + 1 + 5 = 14
- Ahora sumamos cada cifra impar multiplicada por dos, y sumamos las cifras del
resultado:
5 * 2 = 10 ==> 1 + 0 = 1
8 * 2 = 16 ==> 1 + 6 = 7
8 * 2 = 16 ==> 1 + 6 = 7
0 * 2 = 0 ==> 0
- y volvemos a sumar esos resultados a la suma anterior:
Suma=Suma+1+7+7+0;
- Al final de este proceso, tenemos que Suma=29, pues bien, nos quedamos con la
cifra de las unidades (9)
- Restamos esta cifra de las unidades de 10, dándonos un 1, que es el código de
control para todos los tipos de sociedades exceptuando la X que se verifica
como un DNI.
- Para las sociedades K, P, Q y S habria que sumar un 64 al digito de control que
hemos calculado para hallar el ASCII de la letra de control:
Chr(64+(10-(Suma mod 10)))
*/
function validateCIF(cif) {

	//Quitamos el primer caracter y el ultimo digito
	var valueCif=cif.substr(1,cif.length-2);

	var suma=0;

	//Sumamos las cifras pares de la cadena
	for(i=1;i<valueCif.length;i=i+2)
	{
		suma=suma+parseInt(valueCif.substr(i,1));
	}

	var suma2=0;

	//Sumamos las cifras impares de la cadena
	for(i=0;i<valueCif.length;i=i+2)
	{
		result=parseInt(valueCif.substr(i,1))*2;
		if(String(result).length==1)
		{
			// Un solo caracter
			suma2=suma2+parseInt(result);
		}else{
			// Dos caracteres. Los sumamos...
			suma2=suma2+parseInt(String(result).substr(0,1))+parseInt(String(result).substr(1,1));
		}
	}

	// Sumamos las dos sumas que hemos realizado
	suma=suma+suma2;

	var unidad=String(suma).substr(1,1)
	unidad=10-parseInt(unidad);

	var primerCaracter=cif.substr(0,1).toUpperCase();

	if(primerCaracter.match(/^[FJKNPQRSUVW]$/))
	{
		//Empieza por .... Comparamos la ultima letra
		if(String.fromCharCode(64+unidad).toUpperCase()==cif.substr(cif.length-1,1).toUpperCase())
			return true;
	}else if(primerCaracter.match(/^[XYZ]$/)){
		//Se valida como un dni
		var newcif;
		if(primerCaracter=="X")
			newcif=cif.substr(1);
		else if(primerCaracter=="Y")
			newcif="1"+cif.substr(1);
		else if(primerCaracter=="Z")
			newcif="2"+cif.substr(1);
		return validateDNI(newcif);
	}else if(primerCaracter.match(/^[ABCDEFGHLM]$/)){
		//Se revisa que el ultimo valor coincida con el calculo
		if(unidad==10)
			unidad=0;
		if(cif.substr(cif.length-1,1)==String(unidad))
		    return true;

 //}

    //else{
		//Se valida como un dni
	//	return validateDNI(cif);
}

	return false;
}

/*
 * Tiene que recibir el dni sin espacios ni guiones
 * Esta funcion es llamada
 */
function validateDNI(dni) {

    return true;
     
	var lockup = 'TRWAGMYFPDXBNJZSQVHLCKE';
	var valueDni=dni.substr(0,dni.length-1);
	var letra=dni.substr(dni.length-1,1).toUpperCase();

	if(lockup.charAt(valueDni % 23)==letra)
		return true;
	return false;

}

function validatePassport(pasaporte) {
 
    var contadorDeLetras = 0;
    for (i = 0; i < pasaporte.length; i++) {
        ch = pasaporte.charAt(i);
        if (isNaN(ch)) {
            contadorDeLetras = contadorDeLetras + 1;
        }
    }

    if (contadorDeLetras == pasaporte.length) {
        return false;
    }

    return true;
}

// Funcion que comprueba que el parámetro pasado como valor es
// un NIE válido.
// nie: string que contiene el valor del NIE a validar
function validateNIE(nie) {
 
    nie = nie.toUpperCase();
    //alert(nie);
    var letraX;
    var dni = 0;

    // Si el nie no tiene 3 caracteres o más salimos de la función
    if (nie.length < 9) {
        return false;
    }

    // Cogemos la primera posición del parametro
    letraX = nie.substring(0, 1);
    // Si la primera posicion del nie es una X o una K o una L o una M.
    if ((letraX = 'X') || (letraX = 'K') || (letraX = 'L') || (letraX = 'M')) {
        // Obtengo el número del nie.
        dni = nie.substring(1, nie.length - 1);
        // Comprueba que el dni está compuesto sólo por números
        for (i = 0; i < dni.length; i++) {
            ch = dni.charAt(i);
            if (isNaN(ch)) {
                return false;
            }
        }
    }
    else {
        return false;
    }
    resto = dni % 23;
    var letra = arrayLetras[resto];
    if (letra == nie.charAt(nie.length - 1).toUpperCase()) {
        return true;
    }
    else {
        return false;
    }

}