﻿@ModelType List(Of Model.Esperanto.Prestamos)

@code
    Dim img As String = String.Empty
    Dim Tool_Tip As String = String.Empty
    Dim clickAction As String = "javascript:void(0)"
    Dim AlternateRowStyle As String = String.Empty
    Dim Counter As Integer = 0
    Dim FechaRetornaMax As Double = CDbl(ConfigurationManager.AppSettings("FechaRetornaMax"))
End Code   

<script language ="javascript" type ="text/javascript">

    $(document).ready(function () {

        if ('@Model.Count' == 0) {
            $("#dvResults").hide();
            $("#dvNoResults").show();
        }
        // mi msgbox
        $("#msgBox").dialog({
            autoOpen: false,
            modal: true,
            resizable: false,
            dialogClass: 'dialogStyleClass',
            buttons: {
                '@Html.Translation("Cancelar")': function () {
                    $(this).dialog("close");
                }
            }
        });
    });

    // Retorna el préstamo
    // JAC: 24.05.2013
    function retornar(prestamoId) {
       
        if (confirmation()) {
        
            var url = '@Url.Action("Retornar", "Prestamos")';

            $.ajax({
                url: url,
                type: "POST",
                data: { PrestamoId: prestamoId },
                beforeSend: function () {
                    $("#dvResults").hide();
                    $("#dvloading_control").show();
                },
                success: function (data) {

                    $("#dvloading_control").hide();

                    if (data == "Error") {
                        $(location).attr('href', '@Url.Action("Index", "Error")');
                    }
                    else {
                        SearchPrestamos();
                       
                        $("#msgBox").html('@Html.Translation("prestamoOK")')
                        $("#msgBox").dialog("open");
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    alert(xhr.status);
                    alert(thrownError);
                }
            });
        }

    }

    function confirmation() {
        var answer = confirm('@Html.Translation("RetornarPrestamo")')
        if (answer) {
            return true;
        }
        else {
            return false;
        }
    }

    function detailPrestamo(prestamoId) {
    
        var url = '@Url.Action("Detail", "Prestamos")';

        $.ajax({
            url: url,
            type: "POST",
            data: { PrestamoId: prestamoId },
            beforeSend: function () {
                $("#dvResults").hide();
                $("#dvloading_control").show();
                $("#dialogPrestamo").html("");
            },
            success: function (data) {

                $("#dvloading_control").hide();
                $("#dvResults").show();

                if (data == "Error") {
                    $(location).attr('href', '@Url.Action("Index", "Error")');
                }
                else {
                    opendialog(); 
                    $("#dialogPrestamo").html(data);
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                alert(xhr.status);
                alert(thrownError);
            }
        });
    }

    // Abre el popup
    function opendialog() {
 
        $("#dialogPrestamo").dialog({
            autoOpen: false,
            resizable: false,
            height: 378,
            width: 562,
            modal: true,
            dialogClass: 'dialogStyleClass'
        });
        $("#dialogPrestamo").dialog("open");
    }

    function prestamoCerrado() {

        $("#msgBox").html('@Html.Translation("PrestamoCerrado")')
        $("#msgBox").dialog("open");
    
    }

</script>
<div id="dvResults">
    <table id="tblPrestamos">
        <colgroup >
            <col width ="5%" />
            <col width ="33%" />
            <col width ="20%" />
            <col width ="12%" />
            <col width ="10%"/>
            <col width ="10%"/>
            <col width ="5%"/>
            <col width ="5%"/>
        </colgroup>
        <thead>
            <tr>
                <th>
                    @Html.Translation("code")
                </th>
                <th>
                    @Html.Translation("Titulo")
                </th>
                <th>
                    @Html.Translation("Autor")
                </th>
                <th>
                    @Html.Translation("ISBN")
                </th>
                <th>
                    @Html.Translation("Prestado")
                </th>
                 <th>
                    F.Retorno
                </th>
                <th>
                    @Html.Translation("Retornado")
                </th>
                <th>
                    @Html.Translation("Estado")
                </th>
            </tr>
        </thead>
        <tbody>
            @For Each item As Model.Esperanto.Prestamos In Model
                If Counter Mod 2 = 0 Then
                    AlternateRowStyle = "alt"
                Else
                    AlternateRowStyle = String.Empty
                End If
                @<tr class="@AlternateRowStyle">
                    <td>
                        <a onclick="javascript:detailPrestamo(@item.PrestamoId);" class="lnkDetail">@item.PrestamoId</a> 
                    </td>
                    <td>
                        @Html.EllipsisText(item.Libros.Titulo.Trim, 40)
                    </td>
                    <td>
                        @item.Libros.Autor.Descripcion.Trim
                    </td>
                    <td>
                        @item.Libros.ISBN
                    </td>
                    <td>
                        @HtmlExtensions.GetFormat_Date(item.FechaPrestamo)
                    </td>
                    <td id="dvData_@item.PrestamoId">
                        @HtmlExtensions.GetFormat_Date(item.FechaRetorno)
                    </td>
                    <td>
                        @IIf(item.Retornado = True, Html.Translation("Si").ToString, Html.Translation("No").ToString)
                    </td>

                    <td style="padding-left :12px;padding-top:4px;cursor:pointer;">

                    @Code
                    
                    If item.EstadoPrestamoId = 1 AndAlso DateAdd(DateInterval.Month, FechaRetornaMax, item.FechaPrestamo) > Now Then ' Formalizado 
                    
                    img = Url.ContentImage("bullet-yellow.png")
                    Tool_Tip = Html.Translation("Formalizado").ToString
                    
                        @If SessionHelper.User.RolId = 1 Then ' Administrador
                        clickAction = String.Concat("javascript:retornar(", item.PrestamoId, ")")
                        End If
                    
                    ElseIf item.EstadoPrestamoId = 1 AndAlso DateAdd(DateInterval.Month, FechaRetornaMax, item.FechaPrestamo) < Now Then ' Fuera de plazo
                    
                    img = Url.ContentImage("bullet-red.png")
                    Tool_Tip = Html.Translation("fueraplazo").ToString
                    
                     @If SessionHelper.User.RolId = 1 Then ' Administrador
                        clickAction = String.Concat("javascript:retornar(", item.PrestamoId, ")")
                    End If
                    
                    ElseIf item.EstadoPrestamoId = 2 Then ' Retornado
                    
                    img = Url.ContentImage("bullet-green.png")
                    Tool_Tip = Html.Translation("Retornado").ToString
                    
                     @If SessionHelper.User.RolId = 1 Then ' Administrador
                        clickAction = "javascript:prestamoCerrado();"
                     End If    
                    
                    End If
                    
                    End Code
  
                      <img id="imgEstadoPrestamo" alt="" src='@img' onclick='@clickAction' title="@Tool_Tip"
                      style='@Iif(SessionHelper.User.RolId = 1,"cursor:pointer;", "cursor:default;" )' /> 
                         
                    </td>
                </tr>
                Counter += 1
            Next
        </tbody>
    </table>
</div>
<div id="dvNoResults" class="noResults" style="display:none;">
    @Html.Translation("NoResults")
</div>
<div id="dialogPrestamo" style="display:none;">
    @*inyecto el prestamo*@
</div>
<div id="msgBox" style="display:none;">
	@*inyecto el mensaje*@
</div>