﻿@ModelType List(Of Model.Esperanto.Reservas)
@code
    Dim AlternateRowStyle As String = String.Empty
    Dim Counter As Integer = 0
End Code
<script language ="javascript" type ="text/javascript">

    $(document).ready(function () {

        if ('@Model.Count' == 0) {
            $("#dvResults").hide();
            $("#dvNoResults").show();
        }

        // mi msgbox
        $("#msgBox").dialog({
            autoOpen: false,
            modal: true,
            resizable: false,
            dialogClass: 'dialogStyleClass',
            buttons: {
                '@Html.Translation("Cancelar")': function () {
                    $(this).dialog("close");
                }
            }
        });

        // mi confirm
        $("#msgConfirm").dialog({
            autoOpen: false,
            resizable: false,
            dialogClass: 'dialogStyleClass',
            modal: true,
            buttons: {
                '@Html.Translation("Aceptar") ': function () {

                    $("#msgConfirm").dialog("close");
                    var url = '@Url.Action("Prestar", "Prestamos")';
                    var reservaId = $("#hdnReservaId").val();

                    $.ajax({
                        url: url,
                        type: "POST",
                        data: { ReservaId: reservaId },
                        beforeSend: function () {
                            $("#dvResults").hide();
                            $("#dvloading_control").show();
                        },
                        success: function (data) {

                            $("#dvloading_control").hide();

                            if (data == "Error") {
                                $(location).attr('href', '@Url.Action("Index", "Error")');
                            }
                            else {
                                SearchReservas();
                                $("#msgBox").html('@Html.Translation("prestamoOK")')
                                $("#msgBox").dialog("open");
                            }
                        },
                        error: function (xhr, ajaxOptions, thrownError) {
                            alert(xhr.status);
                            alert(thrownError);
                        }
                    });
                     
                },
                '@Html.Translation("Cancelar")': function () {
                    $(this).dialog("close");
                }
            }
        });

    }); 

    // Formaliza el préstamo
    // JAC: 22.05.2013
    function prestar(reservaId) {
    
        $("#hdnReservaId").val(reservaId);
        $("#msgConfirm").html('@Html.Translation("prestar")')
        $("#msgConfirm").dialog("open");

    }

    function detailReserva(reservaId) {
       
        var url = '@Url.Action("Detail", "Reservas")';

        $.ajax({
            url: url,
            type: "POST",
            data: { ReservaId: reservaId },
            beforeSend: function () {
                $("#dvResults").hide();
                $("#dvloading_control").show();
                $("#dialogReserva").html("");
            },
            success: function (data) {

                $("#dvloading_control").hide();
                $("#dvResults").show();

                if (data == "Error") {
                    $(location).attr('href', '@Url.Action("Index", "Error")');
                }
                else {
                    opendialog();
                    $("#dialogReserva").html(data);
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                alert(xhr.status);
                alert(thrownError);
            }
        });
    }

    function NOcancelReserva() {
        
        $("#msgBox").html('@Html.Translation("reservayacancelada")')
        $("#msgBox").dialog("open");
    }

    // Cancela una reserva de un usuario
    // JAC: 19.05.2013
    function cancelReserva(reservaId) {
        
        var url = '@Url.Action("Cancelar", "Reservas")';
        $.ajax({
            url: url,
            type: "POST",
            data: { ReservaId: reservaId },
            beforeSend: function () {

                $("#dvResults").hide();
                $("#dvloading_control").show();
            },
            success: function (data) {

                $("#dvloading_control").hide();

                if (data == "Error") {
                    $(location).attr('href', '@Url.Action("Index", "Error")');
                }
                else {
                    SearchReservas();
                    $("#msgBox").html('@Html.Translation("reservacancelOK")')
                    $("#msgBox").dialog("open");
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                alert(xhr.status);
                alert(thrownError);
            }
        });
    }

    // Abre el popup
    function opendialog() {

        $("#dialogReserva").dialog({
            autoOpen: false,
            resizable: false,
            height: 378,
            width: 562,
            modal: true,
            dialogClass: 'dialogStyleClass'
        });
        $("#dialogReserva").dialog("open");
    }

</script>
<div id="dvResults">
    
    <input type ="hidden" id="hdnReservaId" />

    <table id="tblReservas">
        <colgroup >
            <col width ="5%" />
            <col width ="35%" />
            <col width ="23%" />
            <col width ="12%"/>
            <col width ="10%"/>
            <col width ="10%"/>
            <col width ="5%"/>
        </colgroup>
        <thead>
            <tr>
                <th>
                    @Html.Translation("code")
                </th>
                <th>
                    @Html.Translation("Titulo")
                </th>
                <th>
                    @Html.Translation("Autor")
                </th>
                <th>
                    @Html.Translation("ISBN")
                </th>
                <th>
                    @Html.Translation("fechareserva")
                </th>
                <th>
                    @Html.Translation("fechacancelacion")
                </th>
                <th>
                    @If SessionHelper.User.RolId = 1 Then ' Administrador
                        @Html.Translation("Formalizar")
                    Else
                        @Html.Translation("Cancelar")
                    End If
                    
                </th>
            </tr>
        </thead>
        <tbody>
            @For Each item As Model.Esperanto.Reservas In Model
                If Counter Mod 2 = 0 Then
                    AlternateRowStyle = "alt"
                Else
                    AlternateRowStyle = String.Empty
                End If
                @<tr class="@AlternateRowStyle">
                    <td>
                        <a onclick="javascript:detailReserva(@item.ReservaId);" class="lnkDetail">@item.ReservaId</a> 
                    </td>
                    <td>
                        @Html.EllipsisText(item.Libros.Titulo.Trim,40)
                    </td>
                    <td>
                        @item.Libros.Autor.Descripcion.Trim
                    </td>
                    <td>
                        @item.Libros.ISBN
                    </td>
                    <td>
                        @HtmlExtensions.GetFormat_Date(item.FechaReserva)
                    </td>
                    <td id="dvData_@item.ReservaId">
                        @HtmlExtensions.GetFormat_Date(item.FechaCancelacion)
                    </td>
                    <td style="padding-left :23px;padding-top:4px;cursor:pointer;">

                    @Code
                    
                    Dim displayPrestar As String = "none"
                    Dim displayActiva As String = "none"
                    Dim displayCancelada As String = "none"
                    Dim Tool_Tip As String = Html.Translation("Cancelada").ToString
                    
                    End Code

                        @If SessionHelper.User.RolId = 1 Then ' Administrador
                       
                        @If item.EstadoReservaId = 1 Then
                        displayPrestar = "block"
                        displayCancelada = "none"
                        Tool_Tip = Html.Translation("Formalizar").ToString
                        Else
                        
                        displayPrestar = "none"
                        displayCancelada = "block"
                        Tool_Tip = Html.Translation("Cancelada").ToString
                        End If
                        
                        @:<img id="imgPrestar_@item.ReservaId" alt="" src='@Url.ContentImage("available.png")' style="cursor:pointer; display:@displayPrestar" onclick="javascript:prestar(@item.ReservaId);" title="@Tool_Tip" />
                        
                        ElseIf SessionHelper.User.RolId = 2 Then ' Usuario
                            @If item.EstadoReservaId = 1 Then
                            displayActiva = "block"
                            displayCancelada = "none"
                            Tool_Tip = Html.Translation("Cancelar").ToString
                            Else
                            displayActiva = "none"
                            displayCancelada = "block"
                            Tool_Tip = Html.Translation("Cancelada").ToString
                            End If 
                        
                            @:<img id="imgReservaActiva" alt="" src='@Url.ContentImage("cancel.png")' style="cursor:pointer; display:@displayActiva" onclick="javascript:cancelReserva(@item.ReservaId);" title="@Tool_Tip" />
                        End If

                        <img id="imgReservaCancelada" alt="" src='@Url.ContentImage("cancel_disable.png")' style="cursor:pointer; display:@displayCancelada"  onclick="javascript:NOcancelReserva();" title="@Tool_Tip" />    
                    </td>
                </tr>
                Counter += 1
            Next
        </tbody>
    </table>
</div>
<div id="dvNoResults" class="noResults" style="display:none;">
    @Html.Translation("NoResults")
</div>
<div id="dialogReserva" style="display:none;">
    @*inyecto la reserva*@
</div>
<div id="msgBox" style="display:none;">
    @*inyecto el mensaje*@
</div>
<div id="msgConfirm" style="display:none;">
    @*inyecto el mensaje*@
</div>