﻿@Code
    Dim ControllerAction As String = String.Format("{0}/{1}", ViewContext.RouteData.GetRequiredString("controller"), ViewContext.RouteData.GetRequiredString("action"))
End Code
<!DOCTYPE html>
<html>
<head>
    <title>Biblioteca Esperanto</title>

    <link rel="icon" type="image/png" href='@Url.ContentImage("LogoEsperanto.png")' />

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/jqueryui")
    @Styles.Render("~/Content/calendario/jquery-ui-1.10.2.custom.css")
    @Styles.Render("~/Content/style.css")
    @Scripts.Render("~/Scripts/CF.js")
    @Scripts.Render("~/Scripts/CIFValidator.js")
    
<script language="javascript" type="text/javascript">

    $(document).ready(function () {

        $.datepicker.setDefaults({
            DateFormat: 'dd/mm/yy',
            regional: 'es'
        });

        $(document).ajaxError(function (evt, xhr, settings) {
       // Si se produce un error ajax lo suprime
        if (settings.suppressErrors) {
                return;
            }
        });

        var controller = '@ControllerAction';
        var rolId = '@SessionHelper.User.RolId.ToString.Trim';
        var username = '@SessionHelper.User.Nombre.ToString.Trim';

        $("#dvBienvenido").html('@Html.Translation("Bienvenido")' + ": " + username + ' ' + '@SessionHelper.User.Apellido1.Trim');
        // El menú no se muestra en la pantalla de login o si el usuario es un Invitado
        if (controller == 'Home/Index' || controller == 'usuarios/recover') {
            $("#dvSalir").hide();
        }
        if (controller == 'Home/Index' || rolId == 3) { // 3-Invitado
            $("#dvMenu").html("&nbsp;");
            $("#dvMenu").removeClass("dvMenu");
            $("#dvMenu").addClass("dvMenuHidden");
            $("#dvBienvenido").html("&nbsp;");
        }
        else if (rolId == 2) { // 2-Usuario
            // Si es un usuario se deshabilitan las opciones de gestión administrador
            $("#liGestion").hide();
        }
        else if (rolId == 1) { // 1-Administrador
            // Oculto el menú perfil
            $("#liMenu").hide();
        }

        // hover property will help us set the events for mouse enter and mouse leave
        $('.navigation li').hover(
        // When mouse enters the .navigation element
		function () {
		    //Fade in the navigation submenu
		    $('ul', this).fadeIn(); 	// fadeIn will show the sub cat menu
		},
        // When mouse leaves the .navigation element
	function () {
	    //Fade out the navigation submenu
	    $('ul', this).fadeOut();  // fadeOut will hide the sub cat menu		
	}
	);
    })

</script>
	 
</head>
<body>

<input id="hdnUserId" name="hdnUserId" type="hidden" value='@SessionHelper.User.RolId' />
<input id="hdnUserIdw" name="hdnUserId" type="hidden" value='@SessionHelper.User.UserId' />
<input id="hdnUserIwwwd" name="hdnUserId" type="hidden" value='@ControllerAction' />

    <div class="dvLoginHeader">
        <div class="logo">
            <img alt="" src='@Url.ContentImage("LogoEsperantoLogin.png")' />
        </div>
        
        <div id="dvMenuContainer" class="dvMenuContainer">
            <div id="dvMenu" class="dvMenu">
                <ul class="navigation">
                    <li id="liMenu">
                        <a href="#">@Html.Translation("Menu")</a>
                        <ul>
                            <li style="border-top:1px solid #31739A;">
                                <a href='@Url.Action("Buscador", "Libros")'>@Html.Translation("Buscarlibros")</a>
                            </li>
                            <li>
                                <a href='@Url.Action("Index", "Reservas")'>@Html.Translation("Misreservas")</a>
                            </li>
                            <li>
                                <a href='@Url.Action("Index", "Prestamos")'>@Html.Translation("Misprestamos")</a>
                            </li>
                            <li id="liPerfil">
                                <a href='@Url.Action("Perfil", "Usuarios")'>@Html.Translation("Perfil")</a>
                            </li>
                        </ul>
                        <div class="clear"></div>
                    </li>
                    <li id="liGestion">
                        <a href="#">&nbsp;@Html.Translation("Gestion")</a>
                        <ul>
                            <li style="border-top:1px solid #31739A;">
                                <a href='@Url.Action("Buscador", "Usuarios")' id="lnkGestionUsuarios" >@Html.Translation("Usuarios")</a>
                            </li>
                            <li>
                                <a href='@Url.Action("Buscador", "Libros")'>@Html.Translation("Libros")</a>
                            </li>
                            <li>
                                <a href='@Url.Action("Index", "Reservas")'>@Html.Translation("Misreservas")</a>
                            </li>
                            <li>
                                <a href='@Url.Action("Index", "Prestamos")'>@Html.Translation("Misprestamos")</a>
                            </li>
                        </ul>
                        <div class="clear"></div>
                    </li>
                    
                </ul>
            </div>
            <div class="clear"></div>
            <div id="dvSalir" class="dvSalir"><a href='@Url.Action("Index", "Home")' id="lnkSalir" >@Html.Translation("Salir")</a></div>
        </div>
    </div>
    <div id="dvBienvenido" class="dvBienvenido"></div>
    <div id="main" class="dvWorkSpace">
        @RenderBody()
    </div>
    <div class="footer">
        Biblioteca Esperanto - UOC - TFC &nbsp;Jesús Ángel Cerezuela Lorenzo&nbsp;@Now.Year.ToString()
    </div>
</body>
</html>
