﻿@ModelType Model.Esperanto.Usuarios  

@Code
    ViewData("Title") = "View1"
    Layout = "~/Views/Shared/_Layout.vbhtml.vbhtml"
    Dim ControllerAction As String = String.Format("{0}/{1}", ViewContext.RouteData.GetRequiredString("controller"), ViewContext.RouteData.GetRequiredString("action"))
End Code

<script language ="javascript" type ="text/javascript" >

    var rolid = '@SessionHelper.User.RolId';

    $(document).ready(function () {

       
        var userId = '@SessionHelper.User.UserId';
        var controller = '@ControllerAction';

        $("#txtFechaNacimiento").datepicker({ dateFormat: "dd/mm/yy" });

        // carga los combos
        SetCombos();

        // Si el usuario es un invitado o usuario no muestro los combos de estado y de rol

        if (rolid == 3 || rolid == 2) { // 3-Invitado 2-Usuario
            $('#dvRol').hide();
            $('#dvEstado').hide();
        }

        // Los campos de establecer contraseña sólo se enseñan al dar de alta un usuario
        if (controller != "Usuarios/Registro") {
            $("#dvPassword").hide();
        }
        if (controller == "Usuarios/Perfil") {
            $("#dvTittleUser").html('@Html.Translation("editUser")');
        }
    });

    // Carga los combos
    // JAC: 19.04.2013
    function SetCombos() {

        $("#ddlEstado").val('@Model.Estado');
        $("#ddlRol").val('@Model.RolId');
        $("#ddlIdioma").val('@Model.IdIdioma');
    
    }

    function AcceptClick() {
       
        if ('@ControllerAction' == 'Usuarios/Registro') {
            Aceptar();
        }
        else if ('@ControllerAction' == "Usuarios/Perfil") {
            UpdateUser();
        }
    }

    function CancelClick() {

        if ('@ControllerAction' == 'Usuarios/Registro') {
            $(location).attr('href', '@Url.Action("Index", "Usuarios")');
        }
        else if ('@ControllerAction' == "Usuarios/Perfil") {

            if ('@SessionHelper.User.RolId' == 1) { // Administrador
                $(location).attr('href', '@Url.Action("Buscador", "Usuarios")');
            }
            else {
                $(location).attr('href', '@Url.Action("Buscador", "Libros")');
            }
        }
    }

     // Agrega un usuario a la aplicación
    // JAC: 18.04.2013
    function Aceptar() {
        
        if (check(true) == true) {

            url = '@Url.Action("AddUser", "Usuarios")';

            $.ajax({

                url: url,
                type: "POST",
                data: $("#formUsuarios").serialize(),
                beforeSend: function () {
                    //$("#dvResultadoUsuarios").html("");
                    $("#dvloading_control").show();
                },
                success: function (userid) {
                    if (isNaN(userid) == false && userid > 0) {
                        alert('@html.Translation("createuserok")')
                        $(location).attr('href', '@Url.Action("Buscador", "Libros")');
                    }
                    else { 
                        alert('@html.Translation("NIFRepetido")')
                    }
                    $("#dvloading_control").hide();
                }
            });
        }
    }

    // Actualiza un usuario
    // JAC: 22.04.2013
    function UpdateUser() {

        if (check(false) == true) {
            
            url = '@Url.Action("UpdateUser", "Usuarios")';

            $.ajax({

                url: url,
                type: "POST",
                data: $("#formUsuarios").serialize(),
                beforeSend: function () {
                    $("#dvloading_control").show();
                },
                success: function (userid) {

                    $("#dvloading_control").hide();
                    if (isNaN(userid) == false && userid > 0) {
                       
                        alert('@html.Translation("updateuserok")')
                        $("#cmdCancel").val('@Html.Translation("volver")');
                    }
                    else {
                        alert('@html.Translation("NIFRepetido")')
                    }
                }
            });
        }
    
     }

    // Valido que los campos requeridos estén informados
    // JAC: 16.04.2013
     function check(validarPass) {

        var result = true;

        if (ContainText('txtNombre') == true) { CheckClass(true, 'txtNombre') } else {CheckClass(false, 'txtNombre'); result = false }
        if (ContainText('txtApellido1') == true) { CheckClass(true, 'txtApellido1') } else { CheckClass(false, 'txtApellido1'); result = false }
        if (ContainText('txtEmail') == true) { CheckClass(true, 'txtEmail') } else { CheckClass(false, 'txtEmail'); result = false }
        if (ValidaEmail($("#txtEmail").val().trim()) == true) { CheckClass(true, 'txtEmail') } else { CheckClass(false, 'txtEmail'); result = false }
        if (ContainText('txtApellido2') == true) { CheckClass(true, 'txtApellido2') } else { CheckClass(false, 'txtApellido2'); result = false }
        if (ContainText('txtFechaNacimiento') == true) { CheckClass(true, 'txtFechaNacimiento') } else { CheckClass(false, 'txtFechaNacimiento'); result = false }
        if (isValidDate($("#txtFechaNacimiento").val()) == true) { CheckClass(true, 'txtFechaNacimiento') } else { CheckClass(false, 'txtFechaNacimiento'); result = false }
        if (ContainText('txtPoblacion') == true) { CheckClass(true, 'txtPoblacion') } else { CheckClass(false, 'txtPoblacion'); result = false }
        if ($("#ddlIdioma").val() != -1) { CheckClass(true, 'ddlIdioma') } else { CheckClass(false, 'ddlIdioma'); result = false }
        if (ContainText('txtDireccion') == true) { CheckClass(true, 'txtDireccion') } else { CheckClass(false, 'txtDireccion'); result = false }
        if (ContainText('txtTelf') == true) { CheckClass(true, 'txtTelf') } else { CheckClass(false, 'txtTelf'); result = false }

        if (rolid == 1) { // 1-Administrador
            if ($("#ddlRol").val() != -1) { CheckClass(true, 'ddlRol') } else { CheckClass(false, 'ddlRol'); result = false }
            if ($("#ddlEstado").val() != -1) { CheckClass(true, 'ddlEstado') } else { CheckClass(false, 'ddlEstado'); result = false }
        }

        if (validarPass == true) {
            
            if (ContainText('txtPassword') == true) { CheckClass(true, 'txtPassword') } else { CheckClass(false, 'txtPassword'); result = false }
            if (ContainText('txtPassword2') == true) { CheckClass(true, 'txtPassword2') } else { CheckClass(false, 'txtPassword2'); result = false }
            if ($("#txtPassword").val() == $("#txtPassword2").val()) { CheckClass(true, 'txtPassword2') } else { CheckClass(false, 'txtPassword2'); result = false }
        }

        if (ContainText('txtNIF') == true) { CheckClass(true, 'txtNIF') } else { CheckClass(false, 'txtNIF'); result = false }
        if (validateDNI($("#txtNIF").val().trim()) == true) { CheckClass(true, 'txtNIF') } else { CheckClass(false, 'txtNIF'); result = false }
        
        return result;
    }

</script>

<form id="formUsuarios" action="#">

    <input id="hdnUserId" name="hdnUserId" type="hidden" value='@Model.UserId' />
    <input id="hdnController" name="hdnController" type="hidden" value='@ControllerAction' />
    <input id="hdnFechaAlta" name="hdnFechaAlta" type="hidden" value='@Model.FechaAlta' />
    <input id="hdnFechaBaja" name="hdnFechaBaja" type="hidden" value='@Model.FechaBaja' />
  
    <div class="dvWorkSpaceBorder">
        <div class="dvContainer">
            <div id="dvTittleUser" class="title titleText">
                @Html.Translation("NuevoUsuario")
            </div>
            <div class="nuevoItem">
                &nbsp;
            </div>
            <div class="title1">
                @Html.Translation("Nombre")
            </div>
            <div class="input1">
                <input id="txtNombre" name="txtNombre" type="text" value='@Model.Nombre.Trim' />
            </div>
            <div class="title2">
                @Html.Translation("Email")</div>
            <div class="input2">
                <input id="txtEmail" name="txtEmail" type="text" value='@Model.Email.Trim' />
            </div>
            <div class="title1">
                @Html.Translation("Apellido1")</div>
            <div class="input1">
                <input id="txtApellido1" name="txtApellido1" type="text" value='@Model.Apellido1.Trim'/>
            </div>
            <div class="title2">
                @Html.Translation("NIF")</div>
            <div class="input2">
                <input id="txtNIF" name="txtNIF" type="text" value='@Model.NIF.Trim' />
            </div>
            <div class="title1">
                @Html.Translation("Apellido2")</div>
            <div class="input1">
                <input id="txtApellido2" name="txtApellido2" type="text" value='@Model.Apellido2.Trim' />
            </div>
            <div class="title2">
                @Html.Translation("Direccion")</div>
            <div class="input2">
                <input id="txtDireccion" name="txtDireccion" type="text" value='@Model.Direccion.Trim' />
            </div>
            <div class="title1">
                @Html.Translation("Fechanacimiento")</div>
            <div class="input1">
                <input id="txtFechaNacimiento" name="txtFechaNacimiento" type="text" value='@GetFormat_Date(Model.FechaNacimiento)'/>
            </div>
            <div class="title2">
                @Html.Translation("Poblacion")</div>
            <div class="input2">
                <input id="txtPoblacion" name="txtPoblacion" type="text" value='@Model.Poblacion.Trim'/>
            </div>
            <div class="title1">
                @Html.Translation("Telefono")</div>
            <div class="input1">
                <input id="txtTelf" name="txtTelf" type="text" class="integer" value='@Model.Telf.Trim'/>
            </div>
            <div class="title2">
                @Html.Translation("Idioma")</div>
            <div class="input2">
                @Html.DropDownIdioma("ddlIdioma", "ddl")
            </div>
            <div id="dvRol">
                <div class="title1">
                    @Html.Translation("Rol")</div>
                <div class="input1">
                    @Html.DropDownRol("ddlRol", "ddl", True, Model.RolId)
                </div>
            </div>  
            <div id="dvEstado">
                <div class="title2">
                    @Html.Translation("Estado")</div>
                <div class="input2">
                    @Html.DropDownEstado("ddlEstado", "ddl")
                </div>
            </div>
            <div id="dvPassword">
                <div class="title1">
                    @Html.Translation("password")</div>
                <div class="input1">
                    <input id="txtPassword" name="txtPassword" type="password" />
                </div>
                <div class="title2">
                    @Html.Translation("password2")</div>
                <div class="input2">
                    <input id="txtPassword2" type="password" />
                </div>
            </div>
        </div>
        <div style="height:200px;margin: 0 auto 0 auto;width: 700px;">
            <div id="dvloading_control" class="dvloading_control" style="display:none; top:60px;">
                <img alt ="" src="@Url.Image("big-loading.gif")" class="loadingImage" />
            </div>
        </div>
        <div style="clear:both;"></div>
        <div class="dvUsuarioButton">
            @Html.Translation("allfields") &nbsp;&nbsp;&nbsp;
            <a href="#" id="cmdAddUser" class="button blue" onclick="javascript:AcceptClick();">@Html.Translation("Aceptar")</a>
            <a href="#" id="cmdCancel" class="button blue" onclick="javascript:CancelClick();">@Html.Translation("Cancelar")</a>
        </div>
    </div>
     
</form>